//
// shatbox (C) 2001 Matthew Conte (matt@conte.com)
//
//
// assert.cpp
//
// assertion implementation
//
// $Id: $
//

#include <iostream>
#include <stdlib.h>
#include "assert.h"

#ifndef NDEBUG

void __assert(const char *pExpr, const char *pFile, const int line)
{
   std::cerr << "assert: " << pExpr << ", line " << line << 
                " of " << pFile << "." << std::endl;
   exit(-1);
}

#endif // !NDEBUG
